%define libmsexport %mklibname msexport 1
%define libnamegrass %mklibname %{name}grass 0
%define libqgis %mklibname qgis 0
%define grass grass64
# Doesnt build with -j16, does with -j12 or lower, we choose -j8
%global make_build %(cpus=%_smp_mflags;if [ "${cpus##-j}" -gt 8 ];then echo make -j8;else echo make $cpus;fi)

%global __requires_exclude .*libgrass_.*

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so


Name:           qgis
Version:        2.14.7
%define         subrel 1
Release:        %mkrel 1
Summary:        Geographic Information System for Linux/Unix
License:        GPLv2+
Group:          Sciences/Geosciences
URL:            http://www.qgis.org/
Source0:        http://qgis.org/downloads/%{name}-%{version}.tar.bz2
Source1:        %{name}-mime.xml
Patch0:         qgis-2.14.4-FindQextserialport.patch

BuildRequires:  cmake
BuildRequires:  grass
BuildRequires:  imagemagick
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  mlocate
BuildRequires:  postgis
BuildRequires:  dos2unix
BuildRequires:  txt2tags
BuildRequires:  qt4-linguist
BuildRequires:  qt4-devel
BuildRequires:  qscintilla-qt4-devel
BuildRequires:  qextserialport-devel
BuildRequires:  spatialindex-devel
BuildRequires:  postgresql-devel
BuildRequires:  geos-devel
BuildRequires:  cfitsio-devel
BuildRequires:  libfcgi-devel
BuildRequires:  pkgconfig(gdal)
BuildRequires:  pkgconfig(proj)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(netcdf)
BuildRequires:  pkgconfig(qwt)
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  pkgconfig(spatialite)
BuildRequires:  pkgconfig(qca2)
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-sip
BuildRequires:  python-biopython-sql
BuildRequires:  python-qt4-qscintilla
BuildRequires:  python-qt4-devel
BuildRequires:  qca2-plugin-openssl

Requires:       python-biopython-sql
Requires:       postgis
Requires:       gdal
Requires:       gpsbabel
Requires:       python-qgis
Requires:       python-gdal
Requires:       qca2-plugin-openssl
Requires:       qt4-database-plugin-sqlite
Obsoletes:      %{libqgis}
Obsoletes:      %{libmsexport}

%description
Geographic Information System (GIS) manages, analyzes, and displays
databases of geographic information. Quantum GIS (QGIS) supports shape file
viewing and editing, spatial data storage with PostgreSQL/PostGIS, projection
on-the-fly, map composition, and a number of other features via a plugin
interface. QGIS also supports display of various geo-referenced raster and
Digital Elevation Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid,
and USGS ASCII DEM.

%files
%doc BUGS ChangeLog README.md NEWS
%{_bindir}/%{name}
%{_bindir}/qbrowser
%{_libdir}/lib%{name}_*.so.*
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/*.1*
%exclude %{_libdir}/%{name}/libgrass*.so
%exclude %{_libdir}/%{name}/grass
%exclude %{_datadir}/%{name}/python
%exclude %{_datadir}/%{name}/grass
%exclude %{_datadir}/%{name}/FindQGIS.cmake

#---------------------------------------------------------

%package devel
Summary:    Development libraries and headers for QGIS
Group:      Sciences/Geosciences
Requires:   qgis = %version
Requires:   %{name}-grass = %version
Requires:   python-%{name} = %version
Obsoletes:  %{_lib}qgis-devel
Conflicts:  qgis < 0.11.0
Conflicts:  qgiss-grass < 0.11.0

%description devel
Development headers for QGIS.

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}_*.so
%{_libdir}/libqgisgrass*.so
%{_libdir}/libqgispython.so
%{_datadir}/%{name}/FindQGIS.cmake

#---------------------------------------------------------

%package grass
Summary:    QGIS plugins for accessing GRASS data
Group:      Sciences/Geosciences
Requires:   grass >= 6.0.0
Conflicts:  qgis < 0.11.0
Obsoletes:  %{libnamegrass}

%description grass
This package provides plugins for QGIS that provide access to GRASS data from
within QGIS.

%files grass
%{_libdir}/libqgisgrass*.so.*
%{_libdir}/%{name}/libgrass*.so
%{_libdir}/%{name}/grass/
%{_datadir}/%{name}/grass/

#---------------------------------------------------------

%package -n python-qgis
Summary:    Python integration and plugins for qgis
Group:      Sciences/Geosciences
Requires:   %{name} = %{version}-%{release}
Requires:   python-sip
Requires:   python-qt4
Requires:   python-httplib2
Requires:   python-jinja2
Requires:   python-matplotlib
Requires:   python-qt4-qscintilla
Requires:   python-pytz
Requires:   python-gdal
Requires:   python-six
Requires:   python-dateutil
Requires:   python-markupsafe
Requires:   python-pygments
Requires:   python-yaml
Requires:   python-psycopg2
Requires:   python-pyspatialite
Conflicts:  qgis < 0.11.0
Obsoletes:  qgis-python < 2.4.0-5

%description -n python-qgis
Python integration and plugins for qgis.

%files -n python-qgis
%{_libdir}/libqgispython.so.*
%{_datadir}/%{name}/python/
%{python2_sitearch}/%{name}/

#---------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4 \
    -DQGIS_LIB_SUBDIR=%{_lib} \
    -DQGIS_MANUAL_SUBDIR=/share/man \
    -DQGIS_PLUGIN_SUBDIR=%{_lib}/qgis \
    -DQGIS_CGIBIN_SUBDIR=%{_lib}/qgis \
    -DQWT_INCLUDE_DIR=%{_includedir}/qwt \
    -DGRASS_PREFIX=%{_libdir}/%{grass} \
    -DCMAKE_SKIP_RPATH=OFF \
    -DWITH_MAPSERVER:BOOL=TRUE \
    -DWITH_BINDINGS:BOOL=TRUE \
    -DWITH_INTERNAL_DATEUTIL:BOOL=FALSE \
    -DWITH_INTERNAL_HTTPLIB2:BOOL=FALSE \
    -DWITH_INTERNAL_JINJA2:BOOL=FALSE \
    -DWITH_INTERNAL_PYTZ:BOOL=FALSE \
    -DWITH_INTERNAL_SIX:BOOL=FALSE \
    -DWITH_INTERNAL_PYGMENTS=FALSE \
    -DWITH_INTERNAL_MARKUPSAFE:BOOL=FALSE \
    -DWITH_INTERNAL_QEXTSERIALPORT:BOOL=FALSE \
    -DWITH_INTERNAL_YAML=FALSE \
    -DWITH_INTERNAL_OWSLIB:BOOL=TRUE \
    -DWITH_INTERNAL_QWTPOLAR:BOOL=TRUE \
    -DBINDINGS_GLOBAL_INSTALL:BOOL=TRUE \
    -DENABLE_TESTS:BOOL=FALSE

%make_build

%install
%make_install -C build

desktop-file-install \
    --remove-mime-type="application/x-raster-ecw" \
    --remove-mime-type="application/x-raster-mrsid" \
    --dir=%{buildroot}%{_datadir}/applications \
    debian/qgis.desktop

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
    debian/qbrowser.desktop

# Install MIME type definitions
install -d %{buildroot}%{_datadir}/mime/packages
install -pm0644 %{SOURCE1} \
    %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# Install application and MIME icons
for size in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 256x256 512x512; do
    install -pd %{buildroot}%{_iconsdir}/hicolor/$size/apps
    install -pm0644 debian/%{name}-icon$size.png %{buildroot}%{_iconsdir}/hicolor/$size/apps/qgis.png
    install -pm0644 debian/qbrowser-icon$size.png %{buildroot}%{_iconsdir}/hicolor/$size/apps/qbrowser.png
done

for size in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128; do
    install -pd %{buildroot}%{_iconsdir}/hicolor/$size/mimetypes
    install -pm0644 debian/qgis-mime-icon$size.png %{buildroot}%{_iconsdir}/hicolor/$size/mimetypes/application-x-qgis-layer-settings.png
    install -pm0644 debian/qgis-mime-icon$size.png %{buildroot}%{_iconsdir}/hicolor/$size/mimetypes/application-x-qgis-project.png
done

install -pd %{buildroot}%{_datadir}/pixmaps
install -pd %{buildroot}%{_iconsdir}/hicolor/scalable/apps

install -pm0644 images/icons/%{name}-icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -pm0644 images/icons/qbrowser-icon.png %{buildroot}%{_datadir}/pixmaps/qbrowser.png
install -pm0644 images/icons/%{name}_icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -pm0644 images/icons/qbrowser_icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/qbrowser.svg

# Remove install instructions
rm -f %{buildroot}%{_datadir}/%{name}/doc/INSTALL*


%changelog
* Wed May 02 2018 kekepower <kekepower> 2.14.7-1.1.mga6
  (not released yet)
+ Revision: 1224994
- Add missing Requires for qt4-database-plugin-sqlite

* Tue Sep 27 2016 daviddavid <daviddavid> 2.14.7-1.mga6
+ Revision: 1057078
- new version: 2.14.7

* Wed Jul 27 2016 daviddavid <daviddavid> 2.14.4-2.mga6
+ Revision: 1043732
- add missing BRs on python-qt4-qscintilla and qca2-plugin-openssl
- set make to -j8

* Tue Jul 26 2016 daviddavid <daviddavid> 2.14.4-1.mga6
+ Revision: 1043705
- new version: 2.14.4 (LTR)
- remove merged upstream patch
- use system qextserialport
- add more icons
- set make to -j4
- requires python-pyspatialite and python-pygments
- requires python-yaml and python-psycopg2
- switch BRs to pkgconfig()
- use new python macros

* Mon Jun 27 2016 akien <akien> 2.10.1-10.mga6
+ Revision: 1037817
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 2.10.1-9.mga6
+ Revision: 1037609
- Add upstream patch for FTBFS with python-sip 4.18
- Rebuild for python-sip 4.18

* Thu May 19 2016 eatdirt <eatdirt> 2.10.1-8.mga6
+ Revision: 1016890
- Rebuild for new libproj

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2.10.1-7.mga6
+ Revision: 927672
- rebuild for gsl

* Sun Jan 10 2016 wally <wally> 2.10.1-6.mga6
+ Revision: 920925
- rebuild for new gdal
+ luigiwalser <luigiwalser>
- rebuild for gsl

* Sun Nov 15 2015 dglent <dglent> 2.10.1-4.mga6
+ Revision: 903290
- Bring it back as it builds localy

* Wed Sep 09 2015 fwang <fwang> 2.10.1-3.mga6
+ Revision: 874674
- rebuild for new qscintilla

* Tue Sep 01 2015 fwang <fwang> 2.10.1-2.mga6
+ Revision: 871840
- rebuild for new spatialindex

* Thu Aug 27 2015 ycantin <ycantin> 2.10.1-1.mga6
+ Revision: 870345
- new version 2.10.1
- fix file list (libqgisgrass6.so*)

* Thu Jul 16 2015 daviddavid <daviddavid> 2.8.2-2.mga6
+ Revision: 854827
- fix dependency on python-qgis instead of qgis-python from devel subpackage

* Fri Jul 03 2015 dglent <dglent> 2.8.2-1.mga6
+ Revision: 849667
- Version 2.8.2
  Drop patch qgis-2.4.0-fedora-sip.patch
  Change to qgis-python to follow naming policy

* Tue Nov 25 2014 cjw <cjw> 2.4.0-4.mga5
+ Revision: 798941
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-3.mga5
+ Revision: 739618
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.0-2.mga5
+ Revision: 730077
- rebuild for missing pythoneggs deps

* Sat Sep 20 2014 dglent <dglent> 2.4.0-1.mga5
+ Revision: 697449
- Version 2.4.0
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Thu Aug 07 2014 sander85 <sander85> 2.0.1-4.mga5
+ Revision: 660769
- Rebuild for new libspatialite

* Mon Jan 06 2014 dmorgan <dmorgan> 2.0.1-3.mga4
+ Revision: 565134
- qgis-python does not exist anymore

* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 545329
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 mitya <mitya> 2.0.1-1.mga4
+ Revision: 501065
- New version 2.0.1
- Temporarily disable Python bindings (don't build with current SIP+PyQt4)

* Tue Sep 10 2013 fwang <fwang> 1.8.0-1.mga4
+ Revision: 477070
- fix build with latest sip, patch from upstream

* Fri Mar 22 2013 fwang <fwang> 1.8.0-1.mga3
+ Revision: 404456
- update file list
- try rebuilding
+ obgr_seneca <obgr_seneca>
- Rebuild for new geos and postgis
- Rebuild against new geos
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ zezinho <zezinho>
- new version
- rebuild for new libqwt 6

* Thu Feb 23 2012 obgr_seneca <obgr_seneca> 1.7.4-1.mga2
+ Revision: 212634
- new version 1.7.4

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 1.7.3-3.mga2
+ Revision: 197280
- added upstream patch for pedantic compiler setting
- rebuild for new libgeos

* Sun Dec 18 2011 fwang <fwang> 1.7.3-2.mga2
+ Revision: 183708
- br qtwebkit

* Tue Dec 13 2011 obgr_seneca <obgr_seneca> 1.7.3-1.mga2
+ Revision: 181200
- new version 1.7.3

* Fri Nov 18 2011 obgr_seneca <obgr_seneca> 1.7.2-1.mga2
+ Revision: 168908
- new version 1.7.2
- no more theme folder

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 1.7.1-2.mga2
+ Revision: 162068
- rebuild against new geos

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 1.7.1-1.mga2
+ Revision: 149642
- new version 1.7.1
+ fwang <fwang>
- update file list
- update file list
- new version 1.7.0

* Tue Apr 26 2011 obgr_seneca <obgr_seneca> 1.6.0-3.mga1
+ Revision: 91713
- rebuild aginst new libgdal 1.8.0
- fixed naming of desktop file

* Fri Apr 01 2011 ahmad <ahmad> 1.6.0-1.mga1
+ Revision: 79724
- update to 1.6.0
- drop patch0 and use an alternative patch from Fedora for 1.6.0
- adapt to the biopython package rename
- build with postgresql-devel 9.0
- add BR libqwt-devel, libfcgi-devel
- build wwith QGIS_CGIBIN_SUBDIR=%%{_lib}/qgis
+ ennael <ennael>
- clean spec file
+ dmorgan <dmorgan>
- Remove mdv macros
  Replace mandriva by %%real_vendor
- imported package qgis

